Skip to main content
GET
/
optimism
/
withdrawals
List withdrawals.
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/optimism/withdrawals?apikey='
{
  "items": [
    {
      "amount": "<string>",
      "index": 123,
      "validator_index": 123,
      "block_number": 123,
      "receiver": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "timestamp": "2023-11-07T05:31:56Z"
    }
  ],
  "next_page_params": {
    "items_count": 50,
    "nonce": "1766847064778384329583297500742918515827483896875618958121606201292650102"
  }
}

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

items_count
integer

Number of items returned per page

Required range: 1 <= x <= 50
nonce
string

Nonce for paging

Pattern: ^-?([1-9][0-9]*|0)$

Response

List of withdrawals.

items
Withdrawal · object[]
required
next_page_params
object
required
Example:
{
"items_count": 50,
"nonce": "1766847064778384329583297500742918515827483896875618958121606201292650102"
}